import { Query } from '@datorama/akita';
import * as O from 'fp-ts/Option';
import { ManageBenefitsState, ManageBenefitsStore } from '../store/manage-benefits.store';
export declare class ManageBenefitsQuery extends Query<ManageBenefitsState> {
  protected store: ManageBenefitsStore;
  readonly managedBenefits$: import("rxjs").Observable<import("../store/manage-benefits.store").ManagedBenefitsPageState>;
  readonly selectedBenefit$: import("rxjs").Observable<O.Option<import("../store/manage-benefits.store").Benefit>>;
  readonly draftBenefit$: import("rxjs").Observable<O.Option<import("../store/manage-benefits.store").DraftBenefit>>;
  readonly draftBenefitUrl$: import("rxjs").Observable<O.Option<string>>;
  readonly draftBenefitIcon$: import("rxjs").Observable<O.Option<import("../../../apis/benefits-api/benefits-api.dto").ImageAttachmentPropertiesDto>>;
  readonly draftBenefitAttachment$: import("rxjs").Observable<O.Option<import("../../../apis/benefits-api/benefits-api.dto").DocumentAttachmentPropertiesDto>>;
  readonly isLoading$: import("rxjs").Observable<boolean>;
  constructor(store: ManageBenefitsStore);
}
declare const _default: ManageBenefitsQuery;
export default _default;
